#ifndef AUTOBOOTUI_H
#define AUTOBOOTUI_H

#include <QObject>
#include <QWidget>

#include "hoverwidget.h"
#include "addbutton.h"
#include "switchwidget.h"
#include "settinggroup.h"
#include "ukccframe.h"
#include <klabel.h>

using namespace kdk;

class AutoBootUi : public QWidget
{
    Q_OBJECT
public:
    explicit AutoBootUi(QWidget *parent = nullptr);
    void initUi();
    void resetUi();

    SettingGroup *getAutobootWidget()
    {
        return mAutobootWidget;
    }

    UkccFrame *getAddWidget()
    {
        return mAddWidget;
    }

    AddButton *getAddBtn()
    {
        return mAddBtn;
    }

private:
    SettingGroup *mAutobootWidget = nullptr;
    UkccFrame *mAddWidget = nullptr;
    AddButton *mAddBtn = nullptr;

};

#endif // AUTOBOOTUI_H
